smbios_onboard_t Struct Reference
Public interface » ID macros » SMBIOS structures

on board devices information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
unsigned | dev_len
| device list length
struct { |
char * smbios_onboard_t::name |
| device name More...
hd_id_t smbios_onboard_t::type |
| device type More...
unsigned smbios_onboard_t::status |
| 0: disabled, 1: enabled More...
} * | dev
| device list

## Detailed Description

on board devices information

The documentation for this struct was generated from the following file:

- hd.h